Subject: keyboard and system bug with Emacs CVS current through 2009-10-15 on w32
From: MON KEY <[email-masked]>
To: [email-masked]
Date: Tue, 27 Oct 2009 11:29:45 -0400

Emacs from CVS current through 2009-10-15 is not correctly interacting
with my system - WinXP Service Pack 3.

There is a low level conflict somewhere related to Emacs'
keyboard/server interaction with the rest of the system.

Specifically, I am experiencing a bug wherein the application Xkeymacs
Version 3.47 :SEE (URL `http://www.cam.hi-ho.ne.jp/oishi/indexen.html')
is no longer able to recognize Emacs application/process nor can it
override Emacs system level interface w/ keyboard.

The current failure has not occurred with _any_ previous Emacs
distributions/builds in the past. Nor have I experienced a conflict of
this sort vis a vis Xkeymacs and _any_ other application. This is
happening on the Emacs side. Lennart and I have already verified that
the bug has been introduced by his build/compilation.

I'm including the config data from the three separate builds - two
verified working one not-working. The only difference that I see are the
compiler and flags. These flags shouldn't affect what is happening w/re
to the way keyboard interaction is failing for the emacsen's interaction
with the rest of the system. The proof is that I have never had this
problem before w/ Emacs or _any_ other application on this machine.

Emacs 23.1.1 of 2009-07-30 on SOFT-MJASON                    <- WORKS
Emacs 23.1.50.1 of 2009-06-30 on LENNART-69DE564 (patched)   <- WORKS
Emacs 23.1.50.1 of 2009-10-15 on LENNART-69DE564 (unpatched) <- FAILS
Emacs 23.1.50.1 of 2009-10-13 on LENNART-69DE564 (patched)   <- FAILS

;;; ==============================
;;; This is the most recent Lennart unpatched from CVS.
:DOES-NOT-WORK

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-10-15 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default enable-multibyte-characters: t

;;; ==============================
;;; I've also verified this build.
:WORKS

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default-enable-multibyte-characters: t

;;; ==============================
;;; I've moved back to this build
:WORKS

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-06-30 on LENNART-69DE564 (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default-enable-multibyte-characters: t